summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVictor Chong <victor.chong@linaro.org>2017-03-24 01:41:52 +0000
committerVictor Chong <victor.chong@linaro.org>2017-03-24 01:41:52 +0000
commit37455f1def6813ca8f63b1200ff64e0e974ad425 (patch)
tree1745a18403ffb770eba28b445786bdb601e8e9f2
parent4a4b2fc23cb04d443294072b26d41095aa626793 (diff)
downloadandroid-patchsets-37455f1def6813ca8f63b1200ff64e0e974ad425.tar.gz
Add new patch file swg-modsRLCR-17.03
This is to rever enabling of adb over tcpip (17597) for non-lava build as normal users prefer adb over usb. Change-Id: I6062126fbbe97549098663d9159957225b83c2fa Signed-off-by: Victor Chong <victor.chong@linaro.org>
-rwxr-xr-xswg-mods25
1 files changed, 25 insertions, 0 deletions
diff --git a/swg-mods b/swg-mods
new file mode 100755
index 0000000..1603402
--- /dev/null
+++ b/swg-mods
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+#######################################################
+## Patches for SWG use cases different than r-lcr #####
+#######################################################
+## revert http://android-review.linaro.org/17597
+## init rc files: enabled adb over tcpip by default
+## for non-lava builds as normal users prefer adb over usb
+## http://android-review.linaro.org/17625
+apply --linaro device/linaro/hikey 17625/1